> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Note

> Upload images/PDFs and optionally create note with AI-generated content using Gemini.

If skip_ai_generation is True, the note will be created with just the uploaded files
attached, without AI processing.



## OpenAPI

````yaml post /notes/upload
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /notes/upload:
    post:
      tags:
        - provider
        - scribe
        - note
      summary: Upload Note
      description: >-
        Upload images/PDFs and optionally create note with AI-generated content
        using Gemini.


        If skip_ai_generation is True, the note will be created with just the
        uploaded files

        attached, without AI processing.
      operationId: upload_note_notes_upload_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/Body_upload_note_notes_upload_post'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NoteScribeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_upload_note_notes_upload_post:
      properties:
        patient_id:
          type: string
          title: Patient Id
        provider_id:
          type: string
          title: Provider Id
        template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Id
        location_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Location Id
        skip_ai_generation:
          type: boolean
          title: Skip Ai Generation
          default: false
        files:
          items:
            type: string
            format: binary
          type: array
          title: Files
      type: object
      required:
        - patient_id
        - provider_id
        - files
      title: Body_upload_note_notes_upload_post
    NoteScribeResponse:
      properties:
        id:
          type: string
          title: Id
        content:
          $ref: '#/components/schemas/DefaultNoteContent'
        template:
          anyOf:
            - $ref: '#/components/schemas/NoteTemplateTableItem'
            - type: 'null'
      type: object
      required:
        - id
        - content
      title: NoteScribeResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DefaultNoteContent:
      properties:
        noteContent:
          type: string
          title: Notecontent
          description: >-
            The content of the note to be created. Please follow the template
            exactly to fill the contents of the note.
      type: object
      required:
        - noteContent
      title: DefaultNoteContent
    NoteTemplateTableItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        contentTemplate:
          anyOf:
            - type: string
            - type: 'null'
          title: Contenttemplate
        attachments:
          items:
            $ref: '#/components/schemas/NoteTemplateAttachmentResponse'
          type: array
          title: Attachments
          default: []
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - name
        - createdDate
      title: NoteTemplateTableItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    NoteTemplateAttachmentResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        gcsPath:
          anyOf:
            - type: string
            - type: 'null'
          title: Gcspath
        signedUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Signedurl
        createdDate:
          type: string
          format: date-time
          title: Createddate
      type: object
      required:
        - id
        - name
        - createdDate
      title: NoteTemplateAttachmentResponse

````